import { NgModule } from "@angular/core";
import { Routes, RouterModule } from "@angular/router";

import { ListComponent } from "./list/list.component";
import { EmptyRouteComponent } from "./empty-route/empty-route.component";
import { EquipmentCategoryListComponent } from "./equipment-category-list/equipment-category-list.component";
import { EquipmentListComponent } from "./equipment-list/equipment-list.component";

const routes: Routes = [
  { path: "custom-management/clients", component: ListComponent },
  { path: "custom-management/equipment-category-list", component: EquipmentCategoryListComponent },
  { path: "custom-management/equipment-list", component: EquipmentListComponent },
  { path: "**", component: EmptyRouteComponent },
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule],
})
export class AppRoutingModule { }
