import { Component, OnInit } from "@angular/core";
import { Router } from "@angular/router";
import { User } from "../model/user-model";
import { UserService } from "../user-service/user.service";

@Component({
  selector: "app-list",
  templateUrl: "./list.component.html",
  styleUrls: ["./list.component.scss"],
})
export class ListComponent implements OnInit {

  data: User[] = [];
  constructor(private route: Router, private userService: UserService){
 
  }

  async ngOnInit() {
    await this.userService.getItems().then(list =>{
       this.data = list;
    });
  }

  updateUser(id: number){
    this.route.navigateByUrl("/user-management/add-update-user/"+id);
  }

  deleteUser(id: number){
    console.log(id);
  }

}
